Bug 89870 - (USB)Logitech USB optical mouse isn't recognized by RH9 upgrade kernel-2.4.20.9
(USB)Logitech USB optical mouse isn't recognized by RH9 upgrade kernel-2.4.20.9
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-28 23:01 EDT by Richard Schulman
Modified: 2007-04-18 12:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Schulman 2003-04-28 23:01:09 EDT
Description of problem:
Logitech USB optical wheel mouse is not recognized as USB device at boot time by
RH9 upgrade kernel-2.4.20.9 (but kernel-2.4.20.8 works fine).

Version-Release number of selected component (if applicable):
kernel-2.4.20.9

How reproducible:
Plug the mouse in question into a USB port on a fast Intel PC (2.40 MHz or
faster) running RH9 kernel-2.4.20.9 

Steps to Reproduce:
1. Boot or reboot
2. Notice how the mouse usually isn't recognized when the boot process gets to
USB device recognition.

   
Actual results:
No mouse recognition. Optical light goes out and stays out. Boot process
continues. One can log in, but without a mouse, one can't do much more than log
out and reboot.

Expected results:
The mouse is recognized.

Additional info:
I suspect a timing problem. In RH 8, mouse recognition would also fail if the
mouse was jiggled ever so slightly at the time of USB recognition during boot up.
Comment 1 Richard Shiu 2003-05-16 02:27:34 EDT
I am also using Logitech Optical Mouse with USB interface (Model Number: M-
BJ58) on my Sony Vaio PCG-FX770TK Notebook (USB 1.1 port).

I have found that the USB mouse is not detected under the latest kernel upgrade 
to kernel-2.4.20-13.9.  No red light emitted from the mouse either.
Comment 2 Pete Zaitcev 2003-06-02 23:16:28 EDT
What was the last kernel that worked?

Also, please attach the output of "dmesg", taken after experimenting
with the mouse (not right after reboot). Please do not drop it into
the comments box.

Comment 3 Pete Zaitcev 2003-06-03 16:29:06 EDT
Please try 2.4.20-18. If that fails I still need the dmesg.
Comment 4 Bugzilla owner 2004-09-30 11:40:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.